> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Surfaces

> ListSurfaces returns active surfaces for a conversation.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/a2ui/conversations/{conversation_id}/surfaces
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/a2ui/conversations/{conversation_id}/surfaces:
    get:
      tags:
        - A 2 UI
      summary: List Surfaces
      description: ListSurfaces returns active surfaces for a conversation.
      operationId: c1.api.a2ui.v1.A2UIService.ListSurfaces
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            description: The conversationId field.
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.a2ui.v1.A2UIServiceListSurfacesResponse
          description: A2UIServiceListSurfacesResponse returns active surfaces.
      x-codeSamples:
        - lang: go
          label: ListSurfaces
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.A2UI.ListSurfaces(ctx, operations.C1APIA2uiV1A2UIServiceListSurfacesRequest{\n        ConversationID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.A2UIServiceListSurfacesResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.a2Ui.listSurfaces({
                conversationId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.a2ui.v1.A2UIServiceListSurfacesResponse:
      description: A2UIServiceListSurfacesResponse returns active surfaces.
      properties:
        surfaces:
          description: The surfaces field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.A2UISurface'
          nullable: true
          readOnly: false
          type: array
      title: A 2 Ui Service List Surfaces Response
      type: object
      x-speakeasy-name-override: A2UIServiceListSurfacesResponse
    c1.api.a2ui.v1.A2UISurface:
      description: A2UISurface represents a rendered UI surface within a conversation.
      properties:
        catalogId:
          description: The catalogId field.
          readOnly: false
          type: string
        components:
          description: The components field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.A2UIComponent'
          nullable: true
          readOnly: false
          type: array
        conversationId:
          description: The conversationId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: false
          type: string
        dataModelJson:
          description: The dataModelJson field.
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        schemaVersion:
          description: The schemaVersion field.
          format: int64
          readOnly: false
          type: string
        sendDataModel:
          description: The sendDataModel field.
          readOnly: false
          type: boolean
        state:
          description: The state field.
          enum:
            - SURFACE_LIFECYCLE_STATE_UNSPECIFIED
            - SURFACE_LIFECYCLE_STATE_ACTIVE
            - SURFACE_LIFECYCLE_STATE_COMPLETE
            - SURFACE_LIFECYCLE_STATE_DELETED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        surfaceId:
          description: The surfaceId field.
          readOnly: false
          type: string
        tenantId:
          description: The tenantId field.
          readOnly: false
          type: string
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: A 2 Ui Surface
      type: object
      x-speakeasy-name-override: A2UISurface
    c1.api.a2ui.v1.A2UIComponent:
      description: >
        A2UIComponent - typed discriminated union for UI components.
         Uses oneof for proper TypeScript discrimination.

        This message contains a oneof named component. Only a single field of
        the following list may be set at a time:
          - text
          - textField
          - checkBox
          - choicePicker
          - dateTimeInput
          - slider
          - progressBar
          - button
          - row
          - column
          - card
          - divider
          - c1StatusIndicator
          - c1CodeBlock
          - c1ResourcePicker
          - c1DurationPicker
          - c1TodoList
          - c1SlackNotifications
          - c1MsTeamsNotifications
          - c1ConnectorSyncProgress
          - c1ConnectorConfigForm
          - c1OnboardingWelcome
          - c1OnboardingPlan
          - c1ConnectorSyncDetail
      properties:
        button:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ButtonComponent'
        c1CodeBlock:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1CodeBlockComponent'
        c1ConnectorConfigForm:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1ConnectorConfigFormComponent'
        c1ConnectorSyncDetail:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1ConnectorSyncDetailComponent'
        c1ConnectorSyncProgress:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1ConnectorSyncProgressComponent'
        c1DurationPicker:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1DurationPickerComponent'
        c1MsTeamsNotifications:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1MSTeamsNotificationsComponent'
        c1OnboardingPlan:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1OnboardingPlanComponent'
        c1OnboardingWelcome:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1OnboardingWelcomeComponent'
        c1ResourcePicker:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1ResourcePickerComponent'
        c1SlackNotifications:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1SlackNotificationsComponent'
        c1StatusIndicator:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1StatusIndicatorComponent'
        c1TodoList:
          $ref: '#/components/schemas/c1.api.a2ui.v1.C1TodoListComponent'
        card:
          $ref: '#/components/schemas/c1.api.a2ui.v1.CardComponent'
        checkBox:
          $ref: '#/components/schemas/c1.api.a2ui.v1.CheckBoxComponent'
        choicePicker:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ChoicePickerComponent'
        column:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ColumnComponent'
        dateTimeInput:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DateTimeInputComponent'
        divider:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DividerComponent'
        id:
          description: The id field.
          readOnly: false
          type: string
        progressBar:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ProgressBarComponent'
        row:
          $ref: '#/components/schemas/c1.api.a2ui.v1.RowComponent'
        slider:
          $ref: '#/components/schemas/c1.api.a2ui.v1.SliderComponent'
        text:
          $ref: '#/components/schemas/c1.api.a2ui.v1.TextComponent'
        textField:
          $ref: '#/components/schemas/c1.api.a2ui.v1.TextFieldComponent'
        weight:
          description: The weight field.
          format: int32
          readOnly: false
          type: integer
      title: A 2 Ui Component
      type: object
      x-speakeasy-name-override: A2UIComponent
    c1.api.a2ui.v1.ButtonComponent:
      description: ButtonComponent triggers actions.
      nullable: true
      properties:
        action:
          $ref: '#/components/schemas/c1.api.a2ui.v1.Action'
        checks:
          description: The checks field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.ValidationCheck'
          nullable: true
          readOnly: false
          type: array
        disabled:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicBool'
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        variant:
          description: The variant field.
          enum:
            - BUTTON_VARIANT_UNSPECIFIED
            - BUTTON_VARIANT_PRIMARY
            - BUTTON_VARIANT_SECONDARY
            - BUTTON_VARIANT_TEXT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Button Component
      type: object
      x-speakeasy-name-override: ButtonComponent
    c1.api.a2ui.v1.C1CodeBlockComponent:
      description: C1CodeBlockComponent displays code with syntax highlighting.
      nullable: true
      properties:
        code:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        copyable:
          description: The copyable field.
          readOnly: false
          type: boolean
        language:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        title:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: C 1 Code Block Component
      type: object
      x-speakeasy-name-override: C1CodeBlockComponent
    c1.api.a2ui.v1.C1ConnectorConfigFormComponent:
      description: >-
        C1ConnectorConfigFormComponent renders the shared admin
        connector-settings form inside an
         A2UI surface. The frontend resolves the catalog, connector, and config schema itself from
         the ids below, keeping the configuration field values out of the agent's data model — the
         agent never receives API keys, passwords, or other secrets entered by the user.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        skipActionName:
          description: The skipActionName field.
          readOnly: false
          type: string
        submitActionName:
          description: The submitActionName field.
          readOnly: false
          type: string
      title: C 1 Connector Config Form Component
      type: object
      x-speakeasy-name-override: C1ConnectorConfigFormComponent
    c1.api.a2ui.v1.C1ConnectorSyncDetailComponent:
      description: |-
        C1ConnectorSyncDetailComponent renders the same live card as
         C1ConnectorSyncProgressComponent but pre-expanded with the phase checklist,
         live count tiles, and "What's happening" explainer visible from the first
         paint. Intended for message-body placement — emit one after each
         `submit_app_config` so the transcript carries a clear "this is what just
         happened" receipt for the connector the user just connected.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        title:
          description: The title field.
          readOnly: false
          type: string
      title: C 1 Connector Sync Detail Component
      type: object
      x-speakeasy-name-override: C1ConnectorSyncDetailComponent
    c1.api.a2ui.v1.C1ConnectorSyncProgressComponent:
      description: >-
        C1ConnectorSyncProgressComponent renders a live connector sync status
        card.
         Subscribes to WebSocket updates for real-time sync lifecycle status.
      nullable: true
      properties:
        appId:
          description: The appId field.
          readOnly: false
          type: string
        connectorId:
          description: The connectorId field.
          readOnly: false
          type: string
        title:
          description: The title field.
          readOnly: false
          type: string
      title: C 1 Connector Sync Progress Component
      type: object
      x-speakeasy-name-override: C1ConnectorSyncProgressComponent
    c1.api.a2ui.v1.C1DurationPickerComponent:
      description: >-
        C1DurationPickerComponent is the access-request duration picker (presets
        + custom with number/unit).
         Value is duration in seconds bound to the given path.
      nullable: true
      properties:
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        maxDurationSeconds:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
      title: C 1 Duration Picker Component
      type: object
      x-speakeasy-name-override: C1DurationPickerComponent
    c1.api.a2ui.v1.C1MSTeamsNotificationsComponent:
      description: >-
        C1MSTeamsNotificationsComponent renders a self-contained Microsoft Teams
        integration card.
         Fetches status and consent URLs via frontend API calls.
      nullable: true
      title: C 1 Ms Teams Notifications Component
      type: object
      x-speakeasy-name-override: C1MSTeamsNotificationsComponent
    c1.api.a2ui.v1.C1OnboardingPlanComponent:
      description: >-
        C1OnboardingPlanComponent renders a personalized onboarding plan with
        categorized steps.
         The agent dynamically populates categories and steps based on user intent and context.
      nullable: true
      properties:
        categories:
          description: The categories field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.C1OnboardingPlanCategory'
          nullable: true
          readOnly: false
          type: array
      title: C 1 Onboarding Plan Component
      type: object
      x-speakeasy-name-override: C1OnboardingPlanComponent
    c1.api.a2ui.v1.C1OnboardingWelcomeComponent:
      description: >-
        C1OnboardingWelcomeComponent renders the onboarding welcome screen with
        org context and intent collection.
         Backend pre-populates recommended_catalog_id / recommended_display_name from detected IDP.
         Frontend detects auth backend via introspect for contextual UI text.
      nullable: true
      properties:
        recommendedCatalogId:
          description: The recommendedCatalogId field.
          readOnly: false
          type: string
        recommendedDisplayName:
          description: The recommendedDisplayName field.
          readOnly: false
          type: string
      title: C 1 Onboarding Welcome Component
      type: object
      x-speakeasy-name-override: C1OnboardingWelcomeComponent
    c1.api.a2ui.v1.C1ResourcePickerComponent:
      description: C1ResourcePickerComponent allows selecting C1 resources.
      nullable: true
      properties:
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        multiSelect:
          description: The multiSelect field.
          readOnly: false
          type: boolean
        resourceType:
          description: The resourceType field.
          readOnly: false
          type: string
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: C 1 Resource Picker Component
      type: object
      x-speakeasy-name-override: C1ResourcePickerComponent
    c1.api.a2ui.v1.C1SlackNotificationsComponent:
      description: >-
        C1SlackNotificationsComponent renders a self-contained Slack integration
        card.
         Fetches status and OAuth URLs via frontend API calls.
      nullable: true
      title: C 1 Slack Notifications Component
      type: object
      x-speakeasy-name-override: C1SlackNotificationsComponent
    c1.api.a2ui.v1.C1StatusIndicatorComponent:
      description: C1StatusIndicatorComponent shows agent progress status.
      nullable: true
      properties:
        message:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        showSpinner:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicBool'
        status:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        toolName:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: C 1 Status Indicator Component
      type: object
      x-speakeasy-name-override: C1StatusIndicatorComponent
    c1.api.a2ui.v1.C1TodoListComponent:
      description: >-
        C1TodoListComponent renders a phase/step checklist with progress
        tracking.
      nullable: true
      properties:
        items:
          description: The items field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.C1TodoItem'
          nullable: true
          readOnly: false
          type: array
        title:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: C 1 Todo List Component
      type: object
      x-speakeasy-name-override: C1TodoListComponent
    c1.api.a2ui.v1.CardComponent:
      description: CardComponent is a container with styling.
      nullable: true
      properties:
        children:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ChildList'
      title: Card Component
      type: object
      x-speakeasy-name-override: CardComponent
    c1.api.a2ui.v1.CheckBoxComponent:
      description: CheckBoxComponent is a boolean checkbox.
      nullable: true
      properties:
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicBool'
      title: Check Box Component
      type: object
      x-speakeasy-name-override: CheckBoxComponent
    c1.api.a2ui.v1.ChoicePickerComponent:
      description: ChoicePickerComponent allows selection from predefined choices.
      nullable: true
      properties:
        choices:
          description: The choices field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.Choice'
          nullable: true
          readOnly: false
          type: array
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        multiSelect:
          description: The multiSelect field.
          readOnly: false
          type: boolean
        required:
          description: The required field.
          readOnly: false
          type: boolean
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: Choice Picker Component
      type: object
      x-speakeasy-name-override: ChoicePickerComponent
    c1.api.a2ui.v1.ColumnComponent:
      description: ColumnComponent arranges children vertically.
      nullable: true
      properties:
        alignment:
          description: The alignment field.
          readOnly: false
          type: string
        children:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ChildList'
        distribution:
          description: The distribution field.
          readOnly: false
          type: string
        gap:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
      title: Column Component
      type: object
      x-speakeasy-name-override: ColumnComponent
    c1.api.a2ui.v1.DateTimeInputComponent:
      description: DateTimeInputComponent for date/time selection.
      nullable: true
      properties:
        inputType:
          description: The inputType field.
          enum:
            - DATE_TIME_INPUT_TYPE_UNSPECIFIED
            - DATE_TIME_INPUT_TYPE_DATE
            - DATE_TIME_INPUT_TYPE_TIME
            - DATE_TIME_INPUT_TYPE_DATE_TIME
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        max:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        min:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: Date Time Input Component
      type: object
      x-speakeasy-name-override: DateTimeInputComponent
    c1.api.a2ui.v1.DividerComponent:
      description: DividerComponent is a visual separator.
      nullable: true
      properties:
        orientation:
          description: The orientation field.
          readOnly: false
          type: string
      title: Divider Component
      type: object
      x-speakeasy-name-override: DividerComponent
    c1.api.a2ui.v1.ProgressBarComponent:
      description: >-
        ProgressBarComponent shows a read-only progress bar (label, value %,
        min/max).
      nullable: true
      properties:
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        max:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        min:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        step:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
      title: Progress Bar Component
      type: object
      x-speakeasy-name-override: ProgressBarComponent
    c1.api.a2ui.v1.RowComponent:
      description: RowComponent arranges children horizontally.
      nullable: true
      properties:
        alignment:
          description: The alignment field.
          readOnly: false
          type: string
        children:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ChildList'
        distribution:
          description: The distribution field.
          readOnly: false
          type: string
        gap:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
      title: Row Component
      type: object
      x-speakeasy-name-override: RowComponent
    c1.api.a2ui.v1.SliderComponent:
      description: SliderComponent is an interactive numeric range input (e.g. for forms).
      nullable: true
      properties:
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        max:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        min:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        step:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicNumber'
      title: Slider Component
      type: object
      x-speakeasy-name-override: SliderComponent
    c1.api.a2ui.v1.TextComponent:
      description: TextComponent displays text content.
      nullable: true
      properties:
        markdown:
          description: The markdown field.
          readOnly: false
          type: boolean
        text:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: Text Component
      type: object
      x-speakeasy-name-override: TextComponent
    c1.api.a2ui.v1.TextFieldComponent:
      description: TextFieldComponent is a text input field.
      nullable: true
      properties:
        checks:
          description: The checks field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
          nullable: true
          readOnly: false
          type: array
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        placeholder:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        value:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        variant:
          description: The variant field.
          enum:
            - TEXT_FIELD_VARIANT_UNSPECIFIED
            - TEXT_FIELD_VARIANT_SHORT_TEXT
            - TEXT_FIELD_VARIANT_LONG_TEXT
            - TEXT_FIELD_VARIANT_NUMBER
            - TEXT_FIELD_VARIANT_OBSCURED
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
      title: Text Field Component
      type: object
      x-speakeasy-name-override: TextFieldComponent
    c1.api.a2ui.v1.Action:
      description: >
        Action represents what happens when a component is activated (e.g.,
        button click).


        This message contains a oneof named action_type. Only a single field of
        the following list may be set at a time:
          - event
          - functionCall
      properties:
        event:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ServerEvent'
        functionCall:
          $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
      title: Action
      type: object
      x-speakeasy-name-override: A2UIAction
    c1.api.a2ui.v1.ValidationCheck:
      description: >
        ValidationCheck for client-side validation rules.


        This message contains a oneof named check. Only a single field of the
        following list may be set at a time:
          - call
          - and
          - or
      properties:
        and:
          $ref: '#/components/schemas/c1.api.a2ui.v1.AndCheck'
        call:
          $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
        or:
          $ref: '#/components/schemas/c1.api.a2ui.v1.OrCheck'
      title: Validation Check
      type: object
      x-speakeasy-name-override: ValidationCheck
    c1.api.a2ui.v1.DynamicBool:
      description: >
        DynamicBool can be a literal value, a JSON pointer path, or a function
        call.


        This message contains a oneof named value. Only a single field of the
        following list may be set at a time:
          - literal
          - path
          - call
      properties:
        call:
          $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
        literal:
          description: >-
            The literal field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicBool` for more
            details.
          nullable: true
          readOnly: false
          type: boolean
        path:
          description: >-
            The path field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicBool` for more
            details.
          nullable: true
          readOnly: false
          type: string
      title: Dynamic Bool
      type: object
      x-speakeasy-name-override: DynamicBool
    c1.api.a2ui.v1.DynamicString:
      description: >
        DynamicString can be a literal value, a JSON pointer path, or a function
        call.


        This message contains a oneof named value. Only a single field of the
        following list may be set at a time:
          - literal
          - path
          - call
      properties:
        call:
          $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
        literal:
          description: >-
            The literal field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicString` for more
            details.
          nullable: true
          readOnly: false
          type: string
        path:
          description: >-
            The path field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicString` for more
            details.
          nullable: true
          readOnly: false
          type: string
      title: Dynamic String
      type: object
      x-speakeasy-name-override: DynamicString
    c1.api.a2ui.v1.DynamicNumber:
      description: >
        DynamicNumber can be a literal value, a JSON pointer path, or a function
        call.


        This message contains a oneof named value. Only a single field of the
        following list may be set at a time:
          - literal
          - path
          - call
      properties:
        call:
          $ref: '#/components/schemas/c1.api.a2ui.v1.FunctionCall'
        literal:
          description: >-
            The literal field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicNumber` for more
            details.
          nullable: true
          readOnly: false
          type: number
        path:
          description: >-
            The path field.

            This field is part of the `value` oneof.

            See the documentation for `c1.api.a2ui.v1.DynamicNumber` for more
            details.
          nullable: true
          readOnly: false
          type: string
      title: Dynamic Number
      type: object
      x-speakeasy-name-override: DynamicNumber
    c1.api.a2ui.v1.C1OnboardingPlanCategory:
      description: >-
        C1OnboardingPlanCategory groups related plan steps under a section
        heading.
      properties:
        id:
          description: The id field.
          readOnly: false
          type: string
        steps:
          description: The steps field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.C1OnboardingPlanStep'
          nullable: true
          readOnly: false
          type: array
        title:
          description: The title field.
          readOnly: false
          type: string
      title: C 1 Onboarding Plan Category
      type: object
      x-speakeasy-name-override: C1OnboardingPlanCategory
    c1.api.a2ui.v1.C1TodoItem:
      description: The C1TodoItem message.
      properties:
        description:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        id:
          description: The id field.
          readOnly: false
          type: string
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        section:
          description: The section field.
          readOnly: false
          type: string
        status:
          description: The status field.
          readOnly: false
          type: string
        trailingAction:
          $ref: '#/components/schemas/c1.api.a2ui.v1.ServerEvent'
        trailingActionLabel:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: C 1 Todo Item
      type: object
      x-speakeasy-name-override: C1TodoItem
    c1.api.a2ui.v1.ChildList:
      description: ChildList contains references to child component IDs.
      properties:
        ids:
          description: The ids field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Child List
      type: object
      x-speakeasy-name-override: ChildList
    c1.api.a2ui.v1.Choice:
      description: Choice represents a single option in a choice picker.
      properties:
        description:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
        id:
          description: The id field.
          readOnly: false
          type: string
        label:
          $ref: '#/components/schemas/c1.api.a2ui.v1.DynamicString'
      title: Choice
      type: object
      x-speakeasy-name-override: Choice
    c1.api.a2ui.v1.FunctionCall:
      description: FunctionCall represents a client-side function invocation.
      nullable: true
      properties:
        args:
          additionalProperties:
            type: string
          description: The args field.
          readOnly: false
          type: object
        call:
          description: The call field.
          readOnly: false
          type: string
        message:
          description: The message field.
          readOnly: false
          type: string
      title: Function Call
      type: object
      x-speakeasy-name-override: FunctionCall
    c1.api.a2ui.v1.ServerEvent:
      description: ServerEvent triggers a server-side action.
      nullable: true
      properties:
        context:
          additionalProperties:
            type: string
          description: The context field.
          readOnly: false
          type: object
        name:
          description: The name field.
          readOnly: false
          type: string
      title: Server Event
      type: object
      x-speakeasy-name-override: ServerEvent
    c1.api.a2ui.v1.AndCheck:
      description: AndCheck requires all checks to pass.
      nullable: true
      properties:
        checks:
          description: The checks field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.ValidationCheck'
          nullable: true
          readOnly: false
          type: array
      title: And Check
      type: object
      x-speakeasy-name-override: AndCheck
    c1.api.a2ui.v1.OrCheck:
      description: OrCheck requires at least one check to pass.
      nullable: true
      properties:
        checks:
          description: The checks field.
          items:
            $ref: '#/components/schemas/c1.api.a2ui.v1.ValidationCheck'
          nullable: true
          readOnly: false
          type: array
      title: Or Check
      type: object
      x-speakeasy-name-override: OrCheck
    c1.api.a2ui.v1.C1OnboardingPlanStep:
      description: C1OnboardingPlanStep is a single actionable item in the onboarding plan.
      properties:
        agentAssisted:
          description: The agentAssisted field.
          readOnly: false
          type: boolean
        description:
          description: The description field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
        title:
          description: The title field.
          readOnly: false
          type: string
      title: C 1 Onboarding Plan Step
      type: object
      x-speakeasy-name-override: C1OnboardingPlanStep
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````